---------------------
PatchSet 1104 
Date: 2001/01/05 23:43:58
Author: rbcollins
Branch: auth_rewrite
Tag: (none) 
Log:
cbdata update for auth_rewrite

Members: 
	src/authenticate.c:1.1.1.3.12.17.2.21->1.1.1.3.12.17.2.22 
	src/cbdata.c:1.1.1.2.14.3.2.1->1.1.1.2.14.3.2.2 
	src/enums.h:1.1.1.3.12.15.2.3->1.1.1.3.12.15.2.4 
	src/helper.c:1.1.1.3.12.13.2.5->1.1.1.3.12.13.2.6 

Index: squid/src/authenticate.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/authenticate.c,v
retrieving revision 1.1.1.3.12.17.2.21
retrieving revision 1.1.1.3.12.17.2.22
diff -u -r1.1.1.3.12.17.2.21 -r1.1.1.3.12.17.2.22
--- squid/src/authenticate.c	5 Jan 2001 22:45:27 -0000	1.1.1.3.12.17.2.21
+++ squid/src/authenticate.c	5 Jan 2001 23:43:58 -0000	1.1.1.3.12.17.2.22
@@ -1,6 +1,6 @@
 
 /*
- * $Id: authenticate.c,v 1.1.1.3.12.17.2.21 2001/01/05 22:45:27 rbcollins Exp $
+ * $Id: authenticate.c,v 1.1.1.3.12.17.2.22 2001/01/05 23:43:58 rbcollins Exp $
  *
  * DEBUG: section 29    Authenticator
  * AUTHOR: Duane Wessels
@@ -485,7 +485,7 @@
     char *authchallenge=err->authchallenge;
   auth_user_request_t *auth_user_request=err->auth_user_request;
 */
-    int type;
+    int type=0;
     switch (rep->sline.status) {
     case HTTP_PROXY_AUTHENTICATION_REQUIRED:
          /* Proxy authorisation needed */
Index: squid/src/cbdata.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cbdata.c,v
retrieving revision 1.1.1.2.14.3.2.1
retrieving revision 1.1.1.2.14.3.2.2
diff -u -r1.1.1.2.14.3.2.1 -r1.1.1.2.14.3.2.2
--- squid/src/cbdata.c	5 Jan 2001 22:45:27 -0000	1.1.1.2.14.3.2.1
+++ squid/src/cbdata.c	5 Jan 2001 23:43:58 -0000	1.1.1.2.14.3.2.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: cbdata.c,v 1.1.1.2.14.3.2.1 2001/01/05 22:45:27 rbcollins Exp $
+ * $Id: cbdata.c,v 1.1.1.2.14.3.2.2 2001/01/05 23:43:58 rbcollins Exp $
  *
  * DEBUG: section 45    Callback Data Registry
  * ORIGINAL AUTHOR: Duane Wessels
@@ -139,6 +139,8 @@
     CREATE_CBDATA(generic_cbdata);
     CREATE_CBDATA(helper);
     CREATE_CBDATA(helper_server);
+    CREATE_CBDATA(statefulhelper);
+    CREATE_CBDATA(helper_stateful_server);
     CREATE_CBDATA(HttpStateData);
     CREATE_CBDATA(peer);
     CREATE_CBDATA(ps_state);
Index: squid/src/enums.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/enums.h,v
retrieving revision 1.1.1.3.12.15.2.3
retrieving revision 1.1.1.3.12.15.2.4
diff -u -r1.1.1.3.12.15.2.3 -r1.1.1.3.12.15.2.4
--- squid/src/enums.h	5 Jan 2001 22:45:27 -0000	1.1.1.3.12.15.2.3
+++ squid/src/enums.h	5 Jan 2001 23:43:58 -0000	1.1.1.3.12.15.2.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: enums.h,v 1.1.1.3.12.15.2.3 2001/01/05 22:45:27 rbcollins Exp $
+ * $Id: enums.h,v 1.1.1.3.12.15.2.4 2001/01/05 23:43:58 rbcollins Exp $
  *
  *
  * SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -739,6 +739,8 @@
     CBDATA_generic_cbdata,
     CBDATA_helper,
     CBDATA_helper_server,
+    CBDATA_statefulhelper,
+    CBDATA_helper_stateful_server,
     CBDATA_HttpStateData,
     CBDATA_peer,
     CBDATA_ps_state,
Index: squid/src/helper.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/helper.c,v
retrieving revision 1.1.1.3.12.13.2.5
retrieving revision 1.1.1.3.12.13.2.6
diff -u -r1.1.1.3.12.13.2.5 -r1.1.1.3.12.13.2.6
--- squid/src/helper.c	5 Jan 2001 22:45:27 -0000	1.1.1.3.12.13.2.5
+++ squid/src/helper.c	5 Jan 2001 23:43:58 -0000	1.1.1.3.12.13.2.6
@@ -1,6 +1,6 @@
 
 /*
- * $Id: helper.c,v 1.1.1.3.12.13.2.5 2001/01/05 22:45:27 rbcollins Exp $
+ * $Id: helper.c,v 1.1.1.3.12.13.2.6 2001/01/05 23:43:58 rbcollins Exp $
  *
  * DEBUG: section 29    Helper process maintenance
  * AUTHOR: Harvest Derived?
@@ -179,8 +179,7 @@
 	    continue;
 	}
 	hlp->n_running++;
-	srv = memAllocate(MEM_HELPER_STATEFUL_SERVER);
-	cbdataAdd(srv, memFree, MEM_HELPER_STATEFUL_SERVER);
+	srv = CBDATA_ALLOC(helper_stateful_server, NULL); 
 	srv->flags.alive = 1;
         srv->flags.reserved = S_HELPER_FREE;
         srv->deferred_requests=0;
@@ -554,8 +553,8 @@
 statefulhelper *
 helperStatefulCreate(const char *name)
 {
-    statefulhelper *hlp = memAllocate(MEM_HELPER_STATEFUL);
-    cbdataAdd(hlp, memFree, MEM_HELPER_STATEFUL);
+    statefulhelper *hlp;
+    hlp = CBDATA_ALLOC(statefulhelper, NULL);
     hlp->id_name = name;
     return hlp;
 }
